Allow EVMS to recognize loop devices as disks.

Apply with:
cd /usr/src/evms-2.1.0
patch -p1 < localdskmgr_loop.patch
make
make install

Index: localdskmgr.c
===================================================================
RCS file: /cvsroot/evms/evms2/engine/plugins/disk/localdskmgr.c,v
retrieving revision 1.68
diff -u -r1.68 localdskmgr.c
--- evms-2.1.0a/plugins/disk/localdskmgr.c	26 Jun 2003 16:09:38 -0000
+++ evms-2.1.0b/plugins/disk/localdskmgr.c	15 Jul 2003 14:53:14 -0000
@@ -902,6 +902,16 @@
 	 * been opened locally.
 	 */
 	rc = ioctl(*fd, HDIO_GETGEO, &geometry);
+
+	if (disk->dev_major == 7) {
+		/* Need to fake the geometry for loop devices. */
+		geometry.heads = 255;
+		geometry.sectors = 63;
+		geometry.cylinders = disk->size / (255 * 63);
+		geometry.start = 0;
+		rc = 0;
+	}
+
 	if (rc) {
 		rc = errno;
 		LOG_DEBUG("Error getting geometry for disk %s: %d: %s.\n",
